Abrechnungskonfiguration abrufen
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Abrechnung
Abrechnungskonfiguration abrufen
Gibt den effektiven Zahlungsanbieter und den aktuellen Plan für den authentifizierten Mandanten zurück.
GET
/
v1
/
billing
/
config
Abrechnungskonfiguration abrufen
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/config
Antwort
Der für diese Region ausgewählte Zahlungsanbieter (
stripe oder flutterwave; leer, falls nicht verfügbar).Wenn wahr, muss der Länderbeweis genehmigt werden, bevor eine neue kostenpflichtige Abrechnung aktiviert werden kann.
country Abfrageparameter überschreibt dies nicht. Die Anbieterauswahl hängt vom Land und der Konfiguration ab; der Abonnement-Checkout erfordert auch die wiederkehrende Plan-Konfiguration des Anbieters.
Informationen zu Verifizierungs- und Zahlungsbeschränkungen finden Sie unter Anbieter-Routing.
